BasicToolBarUI.ToolBarContListener (Java SE 25 & JDK 25)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicToolBarUI, class: ToolBarContListener
Keywords: javax.swing.plaf.basic.BasicToolBarUI.ToolBarContListener class

# Class BasicToolBarUI.ToolBarContListener

java.lang.Object
javax.swing.plaf.basic.BasicToolBarUI.ToolBarContListener

All Implemented Interfaces:
  `ContainerListener, EventListener`

Direct Known Subclasses:
  `MetalToolBarUI.MetalContainerListener`

Enclosing class:
  `BasicToolBarUI`

protected class BasicToolBarUI.ToolBarContListener extends Object implements ContainerListener
The class listens for component events.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ToolBarContListener()`
  Constructs a `ToolBarContListener`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentAdded(ContainerEvent e)`
  Invoked when a component has been added to the container.
  `void`
  `componentRemoved(ContainerEvent e)`
  Invoked when a component has been removed from the container.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ToolBarContListener

    protected ToolBarContListener()
    Constructs a `ToolBarContListener`.

- ## Method Details

  - ### componentAdded

    public void componentAdded(ContainerEvent e)
    Description copied from interface: `ContainerListener`
    Invoked when a component has been added to the container.
    Specified by:
      `componentAdded` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed

  - ### componentRemoved

    public void componentRemoved(ContainerEvent e)
    Description copied from interface: `ContainerListener`
    Invoked when a component has been removed from the container.
    Specified by:
      `componentRemoved` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed